import sys
import subprocess

CPP_WORDS = ['#if',
             '#else',
             '#endif',
             '#define',
             '#ifdef',
             '#undef',
             '#elif']
def del_cpp_word(path):
    with open(path) as f:
        l = f.readlines()

    new_l = l[:]
    for i,line in enumerate(l):
        for cpp_word in CPP_WORDS:
            # 行の先頭がcpp_wordsならコメントアウト
            if cpp_word in line[:len(cpp_word)]:
                new_l[i] = '-- ' + str(line)

    with open(path, mode='w') as f:
        f.writelines(new_l)

target_srcs = []
gapsyn = input('ギャップとして検出する構文を選択してください\nif式:0, case式:1, 関数適用式:2, 全ての関数:3 : ')
f = input('ファイルパスもしくはディレクトリパスを入力してください : ')
target_srcs = [f]
lim = input('コードクローンの大きさの閾値を入力してください : ')
ln = 0
target_src_string = '' 
for src in target_srcs:
    if not src:
        continue
    del_cpp_word(src)
    target_src_string += src + ' '
    ln += 1
print(f'number of files: {ln}')
args = f'./../parse/Prettify {target_src_string} | python ./det/main.py {ln} {gapsyn} {lim}'
subprocess.run(args, shell=True)