-- head' xs = case xs of [] -> x + 1
--                       (y:_) -> y / 10

-- head' xs = case xs of [] -> error "no head in xs"
--                       (y:_) -> y

-- -- tail' [] = []
-- -- tail' [a] = []
-- -- tail' (_:xs) = xs

-- tail' a = case a of [] -> []
--                     (_:ys) -> ys

-- sum' b = case b of [] -> 0
--                    (x:xs) -> x + sum'xs

-- f a b = if a==0 then b+1 else add a b
-- g x y z = if x==0 then 
--                if (y==0) then add y z else y 
--           else z/10

-- f a b = case a of 0 -> b+1
--                   _ -> add a b

-- g x y z = case x of 0 -> if (y==0) then add y z else y 
--                     _ -> z/10

bumpStepCountTcS = mkTcS $ \env ->
  do { let ref = tcs_count env
     ; n <- TcM.readTcRef ref
     ; TcM.writeTcRef ref (n+1) }

setUnificationFlag lvl
  = TcS $ \env ->
    do { let ref = tcs_unif_lvl env
       ; mb_lvl <- TcM.readTcRef ref
       ; case mb_lvl of
           Just unif_lvl | lvl `deeperThanOrSame` unif_lvl
                         -> return ()
           _ -> TcM.writeTcRef ref (Just lvl) }